Skip to content

Get cumulated inventories

GET
/merchants/{merchantCode}/cumulatedInventories
curl --request GET \
--url 'https://catalog.shopgate.io/v1/merchants/example/cumulatedInventories?limit=1000&ignoreTotalItemCount=false'

This endpoint returns cumulated inventory for a catalog per product. If no catalog code is provided, the default catalog is used. This endpoint is meant to be used for ship from store functionality

merchantCode
required
string
catalogCode
string
<= 255 characters
limit
integer
default: 1000 >= 1 <= 1000

The limit of entries of one page

after
string

The cursor after which the next entries will be queried; on routes supporting limit/offset and cursor pagination, offset will be ignored when after is set

filters
string format: json

Filter string. Supported filters are: productCode, createDate, updateDate. Expects the date filters in UTC time. (e.g. 2023-05-11T10:04:12.694Z) Filters on date and product code are mutually exclusive.

ignoreTotalItemCount
boolean

Private query param which prevents the route function to get totalItemCount

additionalWebhookData
string format: json

Additional data to pass to the sync webhook

Returns cumulated inventory for a catalog

Media typeapplication/json
object
meta
object
limit
number
cursors
object
after
string
totalItemCount
number
cumulatedInventories
Array<object>
object
productCode

Human readable code of the entity

string
>= 1 characters <= 255 characters
isAvailable
boolean
available
number
visible
number
Example
{
"meta": {
"limit": 100,
"cursors": {
"after": "542ae3145"
},
"totalItemCount": 2876
},
"cumulatedInventories": [
{
"producCode": "productA",
"visible": 143,
"available": 145,
"isAvailable": true
}
]
}